package com.ynet.life.sujrb.base;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.GENERequestController;
import com.ynet.gene.web.taskInfo.TaskInfoProvider;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.MVCEntity;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_sujrb_base.jar:com/ynet/life/sujrb/base/GifsTaskInfoJSONController.class */
public class GifsTaskInfoJSONController extends GENERequestController {
    String querySql = "SELECT BDF_BSNCODE,BDF_NAME,BDF_BSNPAR,BDF_PAGEPATH,BDF_LEVEL FROM fsp_role_bsn_rel LEFT JOIN fsp_bsndef ON RSR_BSNCODE=BDF_BSNCODE  WHERE RSR_ROLEID=? AND BDF_STT='0' AND RSR_STT='0'  ORDER BY BDF_LEVEL,BDF_SEQNO";
    private String helpWebContext = null;
    private String advertWebContext = null;
    protected TaskInfoProvider taskInfoProvider = null;
    private String name;
    private String userIdField;

    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) {
        if (this.openMonitor) {
            this.accessInfo.newAccess();
        }
        response.addHeader("Cache-Control", "no-cache");
        response.setContentType("application/x-javascript; charset=utf-8");
        doGetTaskTree(request, response);
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v5, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v8, types: [com.ynet.life.cache.Cache] */
    private void doGetTaskTree(HttpServletRequest request, HttpServletResponse response) {
        MVCEntity mvcEntity;
        String appKey = request.getParameter(TEntity.appKeyFieldname);
        String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
        TranFailException equals = "true".equals(cacheServiceFlag);
        if (equals != 0) {
            try {
                equals = LifeStandard.getCache("sessionData_cache");
                mvcEntity = (MVCEntity) equals.get(appKey);
            } catch (TranFailException e) {
                equals.printStackTrace();
                return;
            }
        } else {
            Session session = (Session) this.sessionManager.getSessions().get(appKey);
            mvcEntity = (MVCEntity) session.getAttribute(appKey);
            session.getAttribute(GENEConstance.ATTR_CONTEXT);
        }
        String roleId = mvcEntity.getRoleId();
        List<Menu> childs = new ArrayList<>();
        Connection connection = null;
        try {
            try {
                try {
                    Connection connection2 = LifeDBAccess.getConnection();
                    connection = connection2;
                    PreparedStatement sourcePstm = connection2.prepareStatement(this.querySql);
                    sourcePstm.setString(1, roleId);
                    ResultSet resultSet = sourcePstm.executeQuery();
                    while (resultSet.next()) {
                        String code = resultSet.getString(1);
                        String name = resultSet.getString(2);
                        String parentId = resultSet.getString(3);
                        String pagePath = resultSet.getString(4);
                        Menu item = new Menu(code, parentId, name, pagePath);
                        childs.add(item);
                    }
                    LifeDBAccess.releaseConnection(connection);
                } catch (TranFailException unused) {
                    if (connection != null) {
                        try {
                            connection.rollback();
                        } catch (SQLException e2) {
                            Trace.logError("LifeJDBC", "JDBC异常", e2);
                        }
                    }
                    LifeDBAccess.releaseConnection(connection);
                }
                List<Menu> childs2 = new MenuTree(childs).builTree();
                new JSONObject().put("TaskModel", childs2);
                outputContent(response, JSONArray.parse(JSON.toJSONString(childs2)).toString());
            } catch (Exception e3) {
                Trace.logError("LifeAction", "获取用户交易列表错误", e3);
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection((Connection) null);
            throw th;
        }
    }

    private void outputContent(HttpServletResponse response, String content) {
        try {
            response.getOutputStream().write(content.getBytes("UTF-8"));
        } catch (Exception e) {
            GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "Failed to output taskInfo content.", e);
        }
    }

    public String getName() {
        return this.name;
    }

    public void setName(String value) {
        this.name = value;
    }

    public void setId(String value) {
        this.name = value;
    }

    public long getLastModified(HttpServletRequest request) {
        return -1L;
    }

    public void initialize() {
    }

    public TaskInfoProvider getTaskInfoProvider() {
        return this.taskInfoProvider;
    }

    public void setTaskInfoProvider(TaskInfoProvider taskInfoProvider) {
        this.taskInfoProvider = taskInfoProvider;
    }

    public String getUserIdField() {
        return this.userIdField;
    }

    public void setUserIdField(String userIdField) {
        this.userIdField = userIdField;
    }

    public String getAdvertWebContext() {
        return this.advertWebContext;
    }

    public void setAdvertWebContext(String advertWebContext) {
        this.advertWebContext = advertWebContext;
    }

    public String getHelpWebContext() {
        return this.helpWebContext;
    }

    public void setHelpWebContext(String helpWebContext) {
        this.helpWebContext = helpWebContext;
    }
}
